Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TSimpleDmlTriggerClause

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TSimpleDmlTriggerClause

All Implemented Interfaces:
  Visitable

    public class TSimpleDmlTriggerClause

extends TParseTreeNode

Use this clause to define a single trigger on a DML event.

Constructor Summary
`TSimpleDmlTriggerClause()`

Method Summary
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TDmlEventClause` | `getDmlEventClause()` The DML_event_clause lets you specify one of three DML statements that can cause the trigger to fire.
`int` | `getFireMode()` When or how this trigger was fired.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TSimpleDmlTriggerClause

    public TSimpleDmlTriggerClause()

Method Detail

### getDmlEventClause

    public TDmlEventClause getDmlEventClause()

  The DML_event_clause lets you specify one of three DML statements that can cause the trigger to fire.

  Returns:

### getFireMode

    public int getFireMode()

  When or how this trigger was fired.

  Returns:

    `TBaseType.fireMode_before`

    `TBaseType.fireMode_after`

    `TBaseType.fireMode_insteadOf`

    `TBaseType.fireMode_for`

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD